1. Placement
  • Litemail
    • Litemail Docs
    • Users
      • Retrieve User Details
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • Domains
      • Retrieve Domains
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail AI
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • DNS
      • Get DNS Records
      • Add DNS Record
      • Update DNS Record
      • Delete DNS Record
    • apikeys testing
      • generate key by login first
    • Connect Inbox
      • connect-inboxes
  • LiteMail API v3
    • Users
      • Retrieve User Details
    • Domains
      • Retrieve Domains
      • Purchase/Register a New Domain
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Get Domain Details
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
      • Get Warmup Analytics for Mailboxes
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Wallet
      • Add Credit to Wallet
      • List Billing Invoices
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
      • Connect Inboxes (Export to Platform)
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • DNS
      • Get DNS Records
      • Create DNS Record
      • Update DNS Record
      • Delete DNS Record
    • Tags
      • List Tags
      • Create Tag
      • Update Tag
      • Delete Tag
    • MailBoxes
      • Assign Mailboxes to Domain
    • Placement
      • List Placement Tests
        GET
      • Create Placement Test
        POST
    • Dashboard
      • Get Dashboard Overview
      • Get Mailbox Status Counts
    • Export History
      • List Export History
      • Create Export History Record
    • Cloudflare
      • Get Cloudflare Credentials & Zones
      • Save Credentials or Connect Domain
    • Webhooks
      • List Registered Webhooks
      • Register a New Webhook Endpoint
      • Delete a Webhook
  1. Placement

Create Placement Test

POST
/v1/placement
Create a new placement (deliverability) test. Provide either mailboxIds or emails (or both) to determine which mailboxes to test.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Example
{
    "name": "Q4 Campaign Test",
    "mailboxIds": [
        "mb_abc1",
        "mb_abc2"
    ],
    "emails": [
        "john@b2bforcelabs.com"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/placement' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Q4 Campaign Test",
    "mailboxIds": [
        "mb_abc1",
        "mb_abc2"
    ],
    "emails": [
        "john@b2bforcelabs.com"
    ]
}'

Responses

🟢201
application/json
Placement test created successfully
Bodyapplication/json

Example
{
    "status": 201,
    "message": "Placement test created successfully.",
    "data": {
        "id": "plt_abc2",
        "name": "Q4 Campaign Test",
        "status": "completed",
        "report": {
            "inboxRate": 87.5,
            "spamRate": 12.5,
            "healthScore": 78,
            "healthLabel": "Good",
            "providers": [
                {
                    "provider": "Gmail",
                    "inboxRate": 90,
                    "spamRate": 10
                },
                {
                    "provider": "Outlook",
                    "inboxRate": 85,
                    "spamRate": 15
                }
            ]
        }
    }
}
🟠400
🟠401
🔴500
Previous
List Placement Tests
Next
Get Dashboard Overview
Built with